PG(1)

BEZEICHNUNG
pg - Textdateien seitenweise durchsuchen

ÜBERSICHT

pg -*Menge *-p Eingabeaufforderung -cefnrs +Zeile +/Muster/ Datei_ ...

BESCHREIBUNG

pg zeigt eine Textdatei auf einem Monitor bildschirmweise an. Nach jeder Seite wird eine Eingabeaufforderung angezeigt. Der Benutzer kann dann entweder die Zeilenvorschub-Taste drücken, um zur nächsten Seite zu gelangen, oder eine der nachfolgend beschriebenen Tasten.

Falls in der Befehlszeile kein Dateiname angegeben ist, liest pg aus der Standardeingabe. Falls die Standardausgabe kein Terminal ist, agiert pg wie cat(1), stellt aber jeder Datei deren Namen voran, falls es mehr als eine gibt.

Falls die Eingabe aus einer Pipe kommt, speichert pg die Daten während des Lesens in einem Puffer, um Navigation zu ermöglichen.

OPTIONEN

pg akzeptiert die folgenden Optionen:

+Nummer
    startet die Anzeige der Datei bei der angegebenen Zeilennummer.

+/Muster*/*
    beginnt bei der Zeile, die den regulären Ausdruck Muster enthält.

-Zahl
    gibt die Anzahl der Zeilen pro Seite an. Standardmäßig ist dies die Nummer der Monitorzeilen minus 1.

-c
    leert den Bildschirm, bevor die Seite angezeigt wird, sofern der Terminfo-Eintrag für dieses Terminal diese Fähigkeit bereitstellt.

-e
    pausiert nicht und zeigt (EOF) am Ende der Datei an.

-f
    verhindert das Umbrechen langer Zeilen.

-n
    bewirkt, dass Befehle nicht mit einem Zeilenvorschubzeichen beendet werden müssen.

    bewirkt, dass pg umblättert, sobald ein Befehlsbuchstabe eingegeben wird.

-p Zeichenkette
    Anstelle der normalen Eingabeaufforderung : wird eine Zeichenkette angezeigt. Falls die Zeichenkette %d enthält, wird dessen erstes Vorkommen durch die Nummer der aktuellen Seite ersetzt.

-r
    deaktiviert die Escape-Sequenzen der Shell.

-s
    gibt Meldungen im standout-Modus aus, sofern der terminfo-Eintrag für dieses Terminal diese Fähigkeit bereitstellt.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

BEFEHLE

Die folgenden Befehle können in der Eingabeaufforderung angegeben werden. Die Befehle, denen in diesem Dokument ein i vorangestellt ist, akzeptieren eine positive oder negative Zahl als Argument. Wenn das Argument mit + oder - beginnt, dann wird es relativ zur aktuellen Position in der Eingabedatei interpretiert, anderenfalls relativ zum Anfang.

i<Eingabetaste>
    zeigt die nächste oder die angegebene Seite an.

id oder ^D
    zeigt die nächste Halbseite an. Falls i angegeben ist, wird dies stets relativ zur aktuellen Position interpretiert.

il
    zeigt die nächste oder die angegebene Zeile an.

if
    blättert eine Seite weiter. i muss eine positive Ganzzahl sein und wird stets relativ zur aktuellen Position interpretiert.

iw oder iz
    verhält sich wie <neue Zeile>, außer dass i als neue Seitengröße gewählt wird.

. oder ^L
    zeichnet den Bildschirminhalt neu.

$
    springt zur letzten Zeile der Eingabedatei.

i/Muster/
    sucht vorwärts, bis zum ersten oder dem i-ten Vorkommen des im Muster angegebenen regulären Ausdrucks. Die Suche beginnt nach der aktuellen Seite und stoppt am Ende der Datei. Die Suche wird nicht am Anfang fortgesetzt. i muss eine positive Zahl sein.

i?Muster? oder iMuster
    sucht rückwärts, bis zum ersten oder dem i-ten Vorkommen des im Muster angegebenen regulären Ausdrucks. Die Suche beginnt vor der aktuellen Seite und stoppt am Anfang der Datei. Die Suche wird nicht am Ende fortgesetzt. i muss eine positive Zahl sein.

Der Suchbefehl akzeptiert einen weiteren Buchstaben. Wenn t angegeben wird, dann wird die Zeile, die das Muster enthält, am oberen Rand des Bildschirms angezeigt (Vorgabe). m wählt die Mitte und b den unteren Rand des Bildschirms für die Anzeige. Die ausgewählte Position wird auch in folgenden Suchvorgängen verwendet.

in
    springt zur nächsten Datei oder i Dateien weiter.

ip
    springt zur vorherigen Datei oder i Dateien zurück.

s Dateiname
    speichert die aktuellen Datei unter dem angegebenen Dateinamen.

h
    zeigt eine Zusammenfassung der Befehlszeilenoptionen an.

!Befehl
    Führt den angegebenen Befehl in der Shell aus.

q oder Q
    Beendet das Programm.

Sobald der Benutzer die Abbruch- oder Beenden-Taste drückt, während pg aus der Eingabedatei liest oder in das Terminal schreibt, zeigt pg unmittelbar eine Eingabeaufforderung an. In allen anderen Situationen führen die genannten Tastendrücke direkt zum Beenden von pg.

UMGEBUNGSVARIABLEN

Die folgenden Umgebungsvariablen beeinflussen das Verhalten von pg:

COLUMNS
    Falls gesetzt, setzt dies die vom System vorgegebene Anzahl der Spalten außer Kraft.

LANG, LC_ALL, LC_COLLATE, LC_CTYPE, LC_MESSAGES
    Siehe locale(7).

LINES
    Falls gesetzt, setzt dies die vom System vorgegebene Anzahl der Zeilen außer Kraft.

SHELL
    Wird vom Befehl ! verwendet.

TERM
    Ermittelt den Terminaltyp.

ANMERKUNGEN

pg erwartet, dass die Terminal-Tabulatoren alle acht Spalten gesetzt werden.

Dateien, die NUL-Zeichen enthalten, können von pg nicht angezeigt werden.

SIEHE AUCH

cat(1), more(1), sh(1p), terminfo(5), locale(7), regex(7), term(7)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl pg ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.